---
lang: en
title: 'API docs: rest.restserverresolvedoptions.listenonstart'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restserverresolvedoptions.listenonstart.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestServerResolvedOptions](./rest.restserverresolvedoptions.md) &gt; [listenOnStart](./rest.restserverresolvedoptions.listenonstart.md)

## RestServerResolvedOptions.listenOnStart property

Set this flag to `false` to not listen on connections when the REST server is started. It's useful to mount a LoopBack REST server as a route to the facade Express application. If not set, the value is default to `true`<!-- -->.

**Signature:**

```typescript
listenOnStart?: boolean;
```

